| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
IG.Forms.GraphWindowTemplate_Old Class Reference

Form used for plots. More...

Inheritance diagram for IG.Forms.GraphWindowTemplate_Old:
[legend]
Collaboration diagram for IG.Forms.GraphWindowTemplate_Old:
[legend]

## Public Member Functions
| GraphWindowTemplate_Old ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
void | Form1_Load (object sender, EventArgs e)
void | btnCancel_Click (object sender, EventArgs e)
| Display customized tooltips when the mouse hovers over a point. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | grbox1
System.Windows.Forms.Panel | panel1
System.Windows.Forms.Button | btnClose
System.Windows.Forms.CheckBox | chkBlackBg

## Detailed Description

Form used for plots.

$A Igor Aug09;

## Constructor & Destructor Documentation

IG.Forms.GraphWindowTemplate_Old.GraphWindowTemplate_Old | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.GraphWindowTemplate_Old.Form1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.GraphWindowTemplate_Old.btnCancel_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Display customized tooltips when the mouse hovers over a point.

Customize the context menu by adding a new item to the end of the menu.

Handle the "Add New Beta Point" context menu item. This finds the curve with the CurveItem.Label = "Beta", and adds a new point to it.

override void IG.Forms.GraphWindowTemplate_Old.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.GraphWindowTemplate_Old.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.GraphWindowTemplate_Old.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.GraphWindowTemplate_Old.grbox1
| private

System.Windows.Forms.Panel IG.Forms.GraphWindowTemplate_Old.panel1
| private

System.Windows.Forms.Button IG.Forms.GraphWindowTemplate_Old.btnClose
| private

System.Windows.Forms.CheckBox IG.Forms.GraphWindowTemplate_Old.chkBlackBg
| private

The documentation for this class was generated from the following files:

- extensions/igplot2d/plot2d/develop/nplot/GraphWindowOld.cs
- extensions/igplot2d/plot2d/develop/nplot/GraphWindowOld.designer.cs